Anonymous Login
2019-06-24 12:23 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001442v3.2 ReleaseCore Infrastructurepublic2014-07-16 21:28
Reportermcandell 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionnot fixable 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0001442: web pages not showing anymore on the browser when enabling "display_errors"
DescriptionOn v3.1 By enabling "display_errors" in base.php with :

ini_set('display_errors', 1);

the browser can't display any w2p page with the following error :

The webpage at http://xxxxxxx/web2project/index.php? might be temporarily down or it may have moved permanently to a new web address.
Error code: ERR_CONTENT_DECODING_FAILED
Steps To Reproducechange line 7 in base.php with the following value:

ini_set('display_errors', 1);

try to log in again to the w2p system
Additional InformationAs a temporary workaround I added on index.php at line 13 the following line :

ob_start("ob_gzhandler");

and this is now allowing the pages to be shown again by the browser, however I am getting the following warning message on each web page:

Warning: ob_start(): output handler 'ob_gzhandler' cannot be used twice in /var/www/web2project/index.php on line 249

Therefore I'm sure this issue needs to be fixed in the proper way.

Many thank in advance, Marco
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003228

caseydk (administrator)

Don't display errors. They should only be viewed in your error logs.
+Notes

-Issue History
Date Modified Username Field Change
2014-02-04 03:38 mcandell New Issue
2014-02-04 20:57 caseydk Project v3.1 Release => v3.2 Release
2014-02-07 21:48 caseydk Note Added: 0003228
2014-02-07 21:48 caseydk Status new => resolved
2014-02-07 21:48 caseydk Resolution open => not fixable
2014-02-07 21:48 caseydk Assigned To => caseydk
2014-03-13 22:18 caseydk Target Version => 3.2
2014-07-16 21:26 caseydk Fixed in Version => 3.2
2014-07-16 21:28 caseydk Status resolved => closed
+Issue History